Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl
Class EncodingDecl

    java.lang.Object
      avrora.core.isdl.EncodingDecl

Direct Known Subclasses:
  EncodingDecl.Derived

public class EncodingDecl
extends java.lang.Object

The `EncodingDecl` class represents the encoding of an instruction in machine code, describing how to encode the mnemonic and operands into binary and vice versa.

Nested Class Summary
`static class` | `EncodingDecl.Cond`
`static class` | `EncodingDecl.Derived`
`static class` | `EncodingDecl.Substitution`

Field Summary
`protected int` | `bitWidth`
`protected EncodingDecl.Cond` | `condition`
`java.util.List` | `fields`
`Token` | `name`
`protected int` | `prio`

Constructor Summary
`EncodingDecl(Token n, Token pr, java.util.List f)`

Method Summary
`int` | `getBitWidth()`
`EncodingDecl.Cond` | `getCond()`
`int` | `getPriority()`
`boolean` | `isConditional()`
`void` | `setCond(EncodingDecl.Cond c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final Token name

### prio

    protected final int prio

### fields

    public final java.util.List fields

### bitWidth

    protected int bitWidth

### condition

    protected EncodingDecl.Cond condition

Constructor Detail

### EncodingDecl

    public EncodingDecl(Token n,
                        Token pr,
                        java.util.List f)

Method Detail

### getBitWidth

    public int getBitWidth()

### setCond

    public void setCond(EncodingDecl.Cond c)

### getCond

    public EncodingDecl.Cond getCond()

### isConditional

    public boolean isConditional()

### getPriority

    public int getPriority()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD